Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.references
Class ConstructorPersistentReference

    java.lang.Object
      org.jboss.cache.aop.references.PersistentReference
          org.jboss.cache.aop.references.ArgumentPersistentReference
              org.jboss.cache.aop.references.ConstructorPersistentReference

    public class ConstructorPersistentReference

extends ArgumentPersistentReference

This class is not used by JBossSerialization itself, as the constructor used is slightly different (GhostConstructor), but I kept the implementation here as a reference for others.

Author:
  Clebert Suconic

Field Summary

Fields inherited from class org.jboss.cache.aop.references.PersistentReference
`REFERENCE_SOFT, REFERENCE_WEAK`

Constructor Summary
`ConstructorPersistentReference(java.lang.Class clazz, java.lang.Object referencedObject, int referenceType)`

Method Summary
`java.lang.Object` | `rebuildReference()`

Methods inherited from class org.jboss.cache.aop.references.ArgumentPersistentReference
`getArguments, setArguments`

Methods inherited from class org.jboss.cache.aop.references.PersistentReference
`buildReference, get, getMappedClass, internalGet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorPersistentReference

    public ConstructorPersistentReference(java.lang.Class clazz,
                                          java.lang.Object referencedObject,
                                          int referenceType)

Method Detail

### rebuildReference

    public java.lang.Object rebuildReference()
                                      throws java.lang.Exception

  Specified by:
    `rebuildReference` in class `PersistentReference`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.